RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

读取成绩

GET
/v1/games/{game}/profiles/{profileId}/scores

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"
profileId*string
Formatuuid

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
cursor?string
Lengthlength <= 256
sortBy?string

跨游戏归一的三键

Value in"playTime""achievements""rating"
order?string
Default"desc"
Value in"asc""desc"
difficulty?string

按各游戏原生难度标识过滤

Lengthlength <= 32

Response Body

成绩分页

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X GET 'https://api.rankhub.cc/v1/games/maimai/profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08/scores'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "items": [      {        "scoreId": "string",        "songId": "string",        "songName": "string",        "type": "string",        "difficulty": "string",        "levelIndex": 0,        "level": "string",        "achievements": 0,        "score": 0,        "rating": 0,        "rank": "string",        "dxScore": 0,        "dxStar": 0,        "fc": "string",        "fs": "string",        "playTime": "2019-08-24T14:15:22Z",        "native": {}      }    ],    "nextCursor": "string",    "hasMore": true  },  "requestId": "string"}